#pragma once

#include "stdafx.h"

class Timer
{
public:	

	/***********************************************************************************
	*Class:		  Timer
	*Function:	  resetTimeCount
	*Description: reset the timeCnt variable
	*Parameters:  none
	*Returns:	  none
	***********************************************************************************/
	void resetTimeCount();

	/***********************************************************************************
	*Class:		  Timer
	*Function:	  startUpTimer
	*Description: obtain startTime timestamp
	*Parameters:  none
	*Returns:	  none
	***********************************************************************************/
	void startUpTimer();

	/***********************************************************************************
	*Class:		  Timer
	*Function:	  returnTimeCount
	*Description: obtain endTime timestamp
	*Parameters:  none
	*Returns:	  none
	***********************************************************************************/
	double returnTimeCount();

private:

	double timeCnt;
	boost::posix_time::ptime startTime;
	boost::posix_time::ptime endTime;
};